import type { AccessDeniedException, BadRequestException, ConflictException, NotFoundException, TooManyRequestsException } from "@aws-sdk/client-apigatewayv2";
import type { TaggedException } from "@effect-aws/commons";
export declare const AllServiceErrors: readonly ["AccessDeniedException", "BadRequestException", "ConflictException", "NotFoundException", "TooManyRequestsException"];
export type AccessDeniedError = TaggedException<AccessDeniedException>;
export type BadRequestError = TaggedException<BadRequestException>;
export type ConflictError = TaggedException<ConflictException>;
export type NotFoundError = TaggedException<NotFoundException>;
export type TooManyRequestsError = TaggedException<TooManyRequestsException>;
export type SdkError = TaggedException<Error & {
    name: "SdkError";
}>;
//# sourceMappingURL=Errors.d.ts.map